#! /usr/bin/env python

import tomoesnml
import get_bogus_source_id
import get_bogus_transient_data
import reshape_bogus
import os


def main():
    date_min = '2020-02-01'
    date_max = '2020-03-01'
    data_directory = '/gwkiso/hamasaki/test_data/bogus_transient'
    output_path1 = 'data/bogus_src'
    output_path2 = 'data'
    num_of_sample_points = 50000
    file_verbose = False # RECOMMEND: False

    if not os.path.isdir(output_path1): os.makedirs(output_path1)
    if not os.path.isdir(output_path2): os.makedirs(output_path2)

    get_bogus_source_id.main(date_min=date_min, date_max=date_max, target_num_of_sample_points=num_of_sample_points, output_path=output_path1)

    csv_file_name = 'bogus_transient_{}_{}.csv'.format(date_min, date_max)
    get_bogus_transient_data.main(data_directory, bogus_transient_source_id_csv_file_path=os.path.join(output_path1, csv_file_name), file_verbose_bool=file_verbose)
    
    reshape_bogus.main(data_directory, output_path=output_path2, output_file_name='bogus_transient_{}_{}'.format(date_min, date_max))



if __name__=='__main__':
    print 'Start.'
    main()
    print 'Finish.'
